Package io.dapr.client.domain

# Class LockRequest

java.lang.Object
io.dapr.client.domain.LockRequest

All Implemented Interfaces:
  `Serializable`

public class LockRequest extends Object implements Serializable
A request to lock.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LockRequest(String storeName, String resourceId, String lockOwner, Integer expiryInSeconds)`
Constructor of LockRequest.

## Method Summary

Modifier and Type
Method
Description
`Integer`
`getExpiryInSeconds()`
`String`
`getLockOwner()`
`String`
`getResourceId()`
`String`
`getStoreName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LockRequest

public LockRequest(String storeName, String resourceId, String lockOwner, Integer expiryInSeconds)
Constructor of LockRequest.

Parameters:
  `storeName` - Name of the store
  `resourceId` - Lock key
  `lockOwner` - The identifier of lock owner
  `expiryInSeconds` - The time before expiry

## Method Details

### getStoreName

public String getStoreName()

### getResourceId

public String getResourceId()

### getLockOwner

public String getLockOwner()

### getExpiryInSeconds

public Integer getExpiryInSeconds()